﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{

	// TEXT DATA

	titleText = 'Το εσωτερικό ενός κύβου';
	
	problemText = ' Στον διπλανό καμβά έχει φτιάξει η Άννα έναν μεγάλο κύβο με τρία πράσινα κυβάκια σε κάθε πλευρά. Στο εσωτερικό του έχει κρύψει μπλε κύβους.<br>' +
	' α) Πόσους μπλε κύβους έκρυψε; Επαληθεύστε την υπόθεσή σας διαγράφοντας κύβους.<br>' +
    ' β) Πόσους μπλε κύβους θα μπορούσε να κρύψει αν έφτιαχνε τον κύβο με πλευρά από 4 μικρά κυβάκια;' +
	' Μπορείτε να επαληθεύσετε την υπόθεσή σας κατασκευάζοντας έναν τέτοιο κύβο;';
	
	authorText = 'Φακούδης Βαγγέλης - Λάτση Μαρία';
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = true;
	
	
	// DIMENSIONING
	
	gridDimension = 300;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor( gridDimension / cubeDimension );
	
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13	
	
	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry = 
	[
		[	// 1st row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column		
		],
		[	// 2nd row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column		
		],	
		[	// 3rd row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[4,4,4,0,0,0],	// tower in 3rd column
			[4,4,4,0,0,0],	// tower in 4th column
			[4,4,4,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column				
		],
		[	// 4th row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[4,4,4,0,0,0],	// tower in 3rd column
			[4,6,4,0,0,0],	// tower in 4th column
			[4,4,4,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column					
		],
		[	// 5th row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[4,4,4,0,0,0],	// tower in 3rd column
			[4,4,4,0,0,0],	// tower in 4th column
			[4,4,4,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column				
		],
		[	// 6th row
			[0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0],	// tower in 6th column		
		]	
	];	

}